diff --git a/Languages/ISO639-1-LanguageCodes.rdf b/Languages/ISO639-1-LanguageCodes.rdf
index 9509456..ab6fda3 100644
--- a/Languages/ISO639-1-LanguageCodes.rdf
+++ b/Languages/ISO639-1-LanguageCodes.rdf
@@ -2798,9 +2798,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Guarani</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Guarani language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Guarani</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">guarani</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Guaran&#237;-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Guarani</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">guarani</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Guaraní-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">guarani</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2810,11 +2810,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Gujarati</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Gujarati language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Gujarati</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">goudjrati</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">gujarati</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Gujarati-Sprache</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">gujar&#257;t&#299;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Gujarati</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">goudjrati</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">gujarati</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Gujarati-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">gujarātī</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2823,11 +2823,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Haitian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Haitian; Haitian Creole language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Haitian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Haitian Creole</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">cr&#233;ole ha&#239;tien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">ha&#239;tien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Ha&#239;tien (Haiti-Kreolisch)</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Haitian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Haitian Creole</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">créole haïtien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">haïtien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Haïtien (Haiti-Kreolisch)</lcc-lr:hasGermanName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2836,9 +2836,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Hausa</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Hausa language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Hausa</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">haoussa</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Haussa-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Hausa</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">haoussa</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Haussa-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">hausa</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2848,9 +2848,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Hebrew</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Hebrew language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Hebrew</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">h&#233;breu</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Hebr&#228;isch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Hebrew</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">hébreu</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Hebräisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">ivrit</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2860,9 +2860,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Herero</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Herero language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Herero</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">herero</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Herero-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Herero</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">herero</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Herero-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">otshiherero</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2872,10 +2872,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Hindi</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Hindi language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Hindi</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">hindi</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Hindi</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">hind&#299;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Hindi</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">hindi</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Hindi</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">hindī</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2884,9 +2884,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Hiri Motu</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Hiri Motu language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Hiri Motu</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">hiri motu</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Hiri-Motu</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Hiri Motu</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">hiri motu</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Hiri-Motu</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Hiri Motu</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2896,9 +2896,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Hungarian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Hungarian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Hungarian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">hongrois</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Ungarisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Hungarian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">hongrois</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Ungarisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">magyar nyelv</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2908,10 +2908,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Icelandic</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Icelandic language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Icelandic</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">islandais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Isl&#228;ndisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">&#237;slenska</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Icelandic</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">islandais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Isländisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">íslenska</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -2920,9 +2920,9 @@
         <rdf:type rdf:resource="&lcc-lr;ArtificialLanguage"/>
         <rdfs:label>Ido</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Ido language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Ido</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">ido</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Ido</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Ido</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">ido</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Ido</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">ido </lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2932,9 +2932,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Igbo</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Igbo language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Igbo</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">igbo</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Ibo-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Igbo</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">igbo</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Ibo-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">igbo</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2944,9 +2944,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Indonesian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Indonesian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Indonesian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">indon&#233;sien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Bahasa Indonesia</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Indonesian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">indonésien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Bahasa Indonesia</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">bahasa Indonesia</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2956,9 +2956,9 @@
         <rdf:type rdf:resource="&lcc-lr;ArtificialLanguage"/>
         <rdfs:label>Interlingua</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Interlingua (International Auxiliary Language Association) language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Interlingua (International Auxiliary Language Association)</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">interlingua (langue auxiliaire internationale)</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Interlingua</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Interlingua (International Auxiliary Language Association)</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">interlingua (langue auxiliaire internationale)</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Interlingua</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">interlingua</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2968,10 +2968,10 @@
         <rdf:type rdf:resource="&lcc-lr;ArtificialLanguage"/>
         <rdfs:label>Interlingue</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Interlingue language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Interlingue</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Occidental</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">interlingue</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Interlingue</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Interlingue</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Occidental</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">interlingue</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Interlingue</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">interlingue</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2981,9 +2981,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Inuktitut</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Inuktitut language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Inuktitut</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">inuktitut</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Inuktitut</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Inuktitut</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">inuktitut</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Inuktitut</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">inuktitut</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -2993,9 +2993,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Inupiaq</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Inupiaq language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Inupiaq</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">inupiaq</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Inupik</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Inupiaq</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">inupiaq</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Inupik</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">inupiaq</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3005,9 +3005,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Irish</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Irish language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Irish</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">irlandais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Irisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Irish</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">irlandais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Irisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Gaeilge</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3017,9 +3017,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Italian</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Italian language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Italian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">italien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Italienisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Italian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">italien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Italienisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">italiano</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3029,9 +3029,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Japanese</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Japanese language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Japanese</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">japonais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Japanisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Japanese</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">japonais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Japanisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">nihongo</lcc-lr:hasIndigenousName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">nippongo</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
@@ -3042,9 +3042,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Javanese</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Javanese language</skos:definition>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">javanais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Javanese</lcc-lr:hasEnglishName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Javanisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasFrenchName xml:lang="fr">javanais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasEnglishName xml:lang="en">Javanese</lcc-lr:hasEnglishName>
+        <lcc-lr:hasGermanName xml:lang="ge">Javanisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">bahasa Jawa</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3054,10 +3054,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Kalaallisut</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Kalaallisut language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kalaallisut</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Greenlandic</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">groenlandais</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Gr&#246;nl&#228;ndisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Kalaallisut</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Greenlandic</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">groenlandais</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Grönländisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">kalaallisut</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3067,10 +3067,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Kannada</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Kannada language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kannada</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kannada</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Kannada</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">kanna&#7693;a</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Kannada</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">kannada</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Kannada</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">kannaḍa</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3079,9 +3079,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Kanuri</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Kanuri language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kanuri</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kanouri</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Kanuri-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Kanuri</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">kanouri</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Kanuri-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">kanuri</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3091,10 +3091,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Kashmiri</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Kashmiri language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kashmiri</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kashmiri</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Kaschmiri</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">ka&#347;m&#299;r&#299;</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Kashmiri</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">kashmiri</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Kaschmiri</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">kaśmīrī</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3103,10 +3103,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Kazakh</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Kazakh language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kazakh</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kazakh</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Kasachisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">&#311;aza&#311; (tili)</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Kazakh</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">kazakh</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Kasachisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">ķazaķ (tili)</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3115,12 +3115,12 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Central Khmer</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Central Khmer language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Central Khmer</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Cambodian</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">cambodgien</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">khmer central</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Kambodschanisch</lcc-lr:hasGermanName>
-        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">khm&#234;r</lcc-lr:hasIndigenousName>
+        <lcc-lr:hasEnglishName xml:lang="en">Central Khmer</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Cambodian</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">cambodgien</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">khmer central</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Kambodschanisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">khmêr</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
 
@@ -3129,10 +3129,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Kikuyu</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Kikuyu language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kikuyu</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Gikuyu</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kikuyu</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Kikuyu-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Kikuyu</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Gikuyu</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">kikuyu</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Kikuyu-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">Gikuyu</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3142,11 +3142,11 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Kinyarwanda</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Kinyarwanda language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kinyarwanda</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Rwanda</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kinyarwanda</lcc-lr:hasFrenchName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">rwanda</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Rwanda-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Kinyarwanda</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Rwanda</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">kinyarwanda</lcc-lr:hasFrenchName>
+        <lcc-lr:hasFrenchName xml:lang="fr">rwanda</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Rwanda-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">kinyarwanda</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3156,10 +3156,10 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Kirghiz</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Kirghiz language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kirghiz</lcc-lr:hasEnglishName>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Kyrgyz</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">kirghize</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Kirgisisch</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Kirghiz</lcc-lr:hasEnglishName>
+        <lcc-lr:hasEnglishName xml:lang="en">Kyrgyz</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">kirghize</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Kirgisisch</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">kyrgyz tili</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
@@ -3169,9 +3169,9 @@
         <rdf:type rdf:resource="&lcc-lr;LivingLanguage"/>
         <rdfs:label>Komi</rdfs:label>
         <skos:definition rdf:datatype="&xsd;string">Komi language</skos:definition>
-        <lcc-lr:hasEnglishName rdf:datatype="&xsd;string">Komi</lcc-lr:hasEnglishName>
-        <lcc-lr:hasFrenchName rdf:datatype="&xsd;string">komi</lcc-lr:hasFrenchName>
-        <lcc-lr:hasGermanName rdf:datatype="&xsd;string">Komi-Sprache</lcc-lr:hasGermanName>
+        <lcc-lr:hasEnglishName xml:lang="en">Komi</lcc-lr:hasEnglishName>
+        <lcc-lr:hasFrenchName xml:lang="fr">komi</lcc-lr:hasFrenchName>
+        <lcc-lr:hasGermanName xml:lang="ge">Komi-Sprache</lcc-lr:hasGermanName>
         <lcc-lr:hasIndigenousName rdf:datatype="&xsd;string">komi kyv</lcc-lr:hasIndigenousName>
         <rdfs:isDefinedBy rdf:resource="&lcc-639-1;"/>
     </owl:NamedIndividual>
